if (HANDSIM_CONFIG_INCLUDED)
  return()
endif()
set(HANDSIM_CONFIG_INCLUDED TRUE)

list(APPEND HANDSIM_INCLUDE_DIRS /usr/include)
list(APPEND HANDSIM_INCLUDE_DIRS /usr/include/HANDSIM)

list(APPEND HANDSIM_LIBRARY_DIRS /usr/lib/x86_64-linux-gnu)

list(APPEND HANDSIM_CFLAGS -I/usr/include)
list(APPEND HANDSIM_CFLAGS -I/usr/include/HANDSIM)

foreach(lib HaptixTracking)
  set(onelib "${lib}-NOTFOUND")
  find_library(onelib ${lib}
    PATHS /usr/lib/x86_64-linux-gnu
    NO_DEFAULT_PATH
    )
  if(NOT onelib)
    message(FATAL_ERROR "Library '${lib}' in package HANDSIM is not installed properly")
  endif()
  list(APPEND HANDSIM_LIBRARIES ${onelib})
endforeach()

foreach(dep )
  if(NOT ${dep}_FOUND)
    find_package(${dep} REQUIRED)
  endif()
  list(APPEND HANDSIM_INCLUDE_DIRS ${${dep}_INCLUDE_DIRS})

  # Protobuf needs to be capitalized to match PROTOBUF_LIBRARIES
  if (${dep} STREQUAL "Protobuf")
    string (TOUPPER ${dep} dep_lib)
  else()
    set (dep_lib ${dep})
  endif()
    
  list(APPEND HANDSIM_LIBRARIES ${${dep_lib}_LIBRARIES})
endforeach()

list(APPEND HANDSIM_LDFLAGS -Wl,-rpath,/usr/lib/x86_64-linux-gnu)
list(APPEND HANDSIM_LDFLAGS -L/usr/lib/x86_64-linux-gnu)
